2019-05-26 22:44 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002077NetSurf[All Projects] Generalpublic2015-03-10 10:59
ReporterBrian Jordan 
Assigned ToDaniel Silverstone 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformVirtual AcornOSRISC OSOS Version6.20
Product Version3.1 
Target VersionFixed in Version3.1 
Summary0002077: Repeatable crash on http://www.raf.mod.uk/organisation/stations.cfm
DescriptionClicking on the search button after selecting from the list beside the "Find a Station by name" caption consitently crashes Netsurf (Dev CI 0001719)
Steps To ReproduceAs above
TagsNo tags attached.
Fixed in CI build #1722
Reported in CI build #1719
URL of problem pagehttp://www.raf.mod.uk/organisation/stations.cfm
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0000242

Daniel Silverstone (administrator)

The issue was related to our URL handling code which was triggered by a GET method form whose URL contained a fragment.

Michael has fixed the bug in nsurl.c
Vincent Sanders

~0000684

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-02-14 11:21 Brian Jordan New Issue
2014-02-14 11:21 Brian Jordan File Added: report.zip
2014-02-14 13:33 Vincent Sanders Assigned To => Daniel Silverstone
2014-02-14 13:33 Vincent Sanders Status new => confirmed
2014-02-14 13:33 Vincent Sanders Category RISC OS-specific => General
2014-02-14 13:33 Vincent Sanders Product Version => 3.1
2014-02-15 12:59 Daniel Silverstone Fixed in CI build # => 1722
2014-02-15 12:59 Daniel Silverstone Fixed in Version => 3.1
2014-02-15 13:00 Michael Drake Status confirmed => resolved
2014-02-15 13:00 Michael Drake Resolution open => fixed
2014-02-15 13:44 Daniel Silverstone Note Added: 0000242
2015-03-10 10:59 Vincent Sanders Note Added: 0000684
2015-03-10 10:59 Vincent Sanders Status resolved => closed
+Issue History